.TH xtmix 1 "15 Jan 1998"
.IX xtmix
.SH NAME
xtmix - X Windows (Xaw) interface to the Linux Sound Driver Mixer
.SH SYNOPSIS
.B xtmix
[\-option ... ]
.SH DESCRIPTION

.B xtmix
is an interface to the mixer part of Linux's sound device driver. 
.PP
The program shows left a few sliders controlling the input channels.
Using the left mouse button, you can change the volume of these
channels. Using the right mouse button you can control the right and
the left channels seperately. There may be some channels not supporting
stereo (e.g. MIC). The pictures beneath the sliders symbolize the devices
connected to these channels.
.PP
The "LEDs" on top of some pictures indicate the recording source. This source
can be changed by clicking on the desired picture.
.PP
On the right side there are some dial buttons controlling main volume, balance,
bass and treble (the latter two not on all sound cards). They can be moved
using the left mouse button.
.PP
To quit press "q" or use the delete function from your window manager
(i.e. in most cases: double click the title bar's left button).
.PP
This mixer can be started with the -launch option to supply a "launch window".
In this mode, only a small window containing the main volume control pops 
up. This control can be manipulated with the left mouse button. Pressing 
the right mouse button reveals the main mixer window, pressing it a second 
time hides it again. This launch window is meant to be swallowed by a 
window or  desktop manager. The launcher window's name is "xtmix-launcher", 
this has to be specified in the window manager's configuration. See EXAMPLES
for a configuration with fvwm. 
.PP
This is a "KDE aware" application. If it detects a running KDE system,
it uses its color scheme and also responds to color change requests.
Swallowing the launch window in KDE is not recommended, because KDE
blocks input to swallowed windows.  

.SH OPTIONS
.B xtmix
understands all X toolkit options. Additionally, the following options
can be set:
.TP 8
.B \-dev <device>
this options allows to specify a mixer device other than /dev/mixer.
.TP 8
.B \-nofilters
omits the treble and bass dials from the display. This may be useful
for SB 16 Vibra owners, as these dials are detected, but not functional.
See also EXAMPLES.
.TP 8
.B \-launch
starts a launch window which can be swallowed by a window manager (e.g.
fvwm).
.TP 8
.B \-lbg <background color>
sets the launcher window's background.
.TP 8
.B \-llabel <label>
prints a label on the launcher window.
.TP 8
.B \-ignoreKDE
ignore the existence of the KDE system.

.PP
Specifying any other option will print a short usage summary as well
as some compilation information.

.SH X RESOURCES
All colors can be changed using resources. E.g. 

.B
XtMix*cd.slideColor: skyblue

produces a skyblue slider for the cd channel (yes, this looks really ugly).  

You may use 
.B
editres (1)
to find out about the widget structure and the associated resources.
The resources asociated with the mixer's options are
.B 
mixerDevice, noFilters, launcher, launcherBackground, launcherLabel
and
.B
ignoreKDE.

.SH EXAMPLES
This is a line in my .fvwm2rc:

.RS
*FvwmButtons(Swallow xtmix-launcher "Exec xtmix -launch -lbg '#908090' &")
.RE

If you own a card where the bass/treble dials are not functional, put this
line in your $HOME/.Xdefaults (or in the global app-defaults file):

.RS
XtMix*noFilters: True
.RE

.SH BUGS
Please report bugs, misspelled documentation etc. to the author.

.SH SEE ALSO
editres(1)

.SH AUTHOR
Martin Denn <Martin.Denn@rhein-main.de>
